﻿// http://www.javascriptobfuscator.com/ client api demo
// 2015-06-05

using System;
using System.Collections.Generic;
using System.Text;

using JSOLib;

namespace JSODemo
{
	class Program
	{
		// sign up at http://www.javascriptobfuscator.com/ and get your free APIKey and Password
		public static string apikey = "APIKey";
		public static string password = "PASSWORD";

		static void Main(string[] args)
		{
			//Step1 : use apikey/password to create the JSOProject object

			JSOProject proj;
			try
			{
				proj = new JSOProject(apikey, password);
			}
			catch (Exception)
			{
				Console.WriteLine("Invalid apikey or password");
				return;
			}

			//Step2 : set the options

			proj.Name = "Sample1";
			proj.ReplaceNames = true;
			proj.DeepObfuscate = true;
			proj.ReorderCode = true;

			//Step3 : add files 

			JSOItem item0 = proj.AddCode("test0.js", "function hello(x,y){var z=11;return x+y+z;}");
			JSOItem item1 = proj.AddCode("test1.js", "function callhello(){ hello(1,2); }");
			JSOItem item2 = proj.AddCode("test2.htm", "<script>window.onload=callhello</script>");


			//Step4 : call the service

			Action<string> onprogress = delegate(string msg)
			{
				Console.Title = msg;
				//Console.WriteLine("onprogress : " + msg);
			};

			Console.Title = "start";

			JSOResult res = proj.Protect(onprogress);


			//Step5 : process the result

			if (res.Type == JSOResultType.Succeed)
			{
				Console.WriteLine("SUCCEED");
				Console.WriteLine("Item0:");
				Console.WriteLine(item0.OutputCode);
				Console.WriteLine("Item1:");
				Console.WriteLine(item1.OutputCode);
				Console.WriteLine("Item2:");
				Console.WriteLine(item2.OutputCode);
			}
			else
			{
				Console.WriteLine("FAILED:" + res.Type + "," + res.ErrorCode);
				string errmsg = res.Exception != null ? res.Exception.Message : res.Message;
				Console.WriteLine(errmsg);
			}

		}
	}
}
